Commit 3d8ccbbe authored by Martin Reinecke's avatar Martin Reinecke

try to use pip to full extent

parent f1213308
Pipeline #18078 failed with stage
in 3 minutes and 31 seconds
......@@ -10,8 +10,8 @@ before_script:
- apt-get update
- chmod +x ci/*.sh
- ci/install_basics.sh
- pip install --upgrade -r ci/requirements.txt
- pip3 install --upgrade -r ci/requirements.txt
- pip install --process-dependency-links --upgrade -r ci/requirements.txt
- pip3 install --process-dependency-links --upgrade -r ci/requirements.txt
test_min:
stage: test
......
......@@ -2,5 +2,5 @@
apt-get install -y build-essential git autoconf libtool \
libfftw3-bin libfftw3-dev libfftw3-double3 libfftw3-long3 libfftw3-quad3 libfftw3-single3 \
python python-pip python-dev python-nose python-numpy \
python3 python3-pip python3-dev python3-nose python3-numpy
python python-pip python-dev python-nose \
python3 python3-pip python3-dev python3-nose
matplotlib
plotly
parameterized
coverage
future
pyfftw
git+https://gitlab.mpcdf.mpg.de/ift/pyHealpix.git@setuptools_test
......@@ -32,7 +32,7 @@ setup(name="nifty2go",
dependency_links=[
'git+https://gitlab.mpcdf.mpg.de/ift/pyHealpix.git@setuptools_test#egg=pyHealpix-0.0.1'],
license="GPLv3",
install_requires=['pyHealpix>=0.0.1', 'numpy>=1.13', 'pyfftw>=0.10.4'],
install_requires=['future', 'pyHealpix>=0.0.1', 'numpy>=1.13', 'pyfftw>=0.10.4', 'matplotlib'],
classifiers=[
"Development Status :: 4 - Beta",
"Topic :: Utilities",
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment